OpenNMS API 1.2.9

## org.opennms.netmgt.outage.jmx
Class Outaged

    java.lang.Object
      org.opennms.netmgt.outage.jmx.Outaged

All Implemented Interfaces:
  OutagedMBean

public class Outaged
extends java.lang.Object
implements OutagedMBean

Constructor Summary
`Outaged()`

Method Summary
`private OutageManager` `getOutageManager()`
`int` `getStatus()`
`java.lang.String` `getStatusText()`
`void` `init()`
`void` `start()`
`java.lang.String` `status()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Outaged

    public Outaged()

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `OutagedMBean`

### start

    public void start()

  Specified by:
    `start` in interface `OutagedMBean`

### stop

    public void stop()

  Specified by:
    `stop` in interface `OutagedMBean`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `OutagedMBean`

### status

    public java.lang.String status()

  Specified by:
    `status` in interface `OutagedMBean`

### getStatusText

    public java.lang.String getStatusText()

  Specified by:
    `getStatusText` in interface `OutagedMBean`

### getOutageManager

    private OutageManager getOutageManager()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.